Jasper reporting for CAPM failed

Document ID : KB000109697
Last Modified Date : 03/08/2018
Show Technical Document Details
Question:

This customer's jasper report failed with error below after upgrading from Jasper from 6.3.3. to 6.4.2, The IM version is 3.5. It used to work with jasper 6.3.3. 

Error Message
org.xml.sax.SAXParseException; lineNumber: 23; columnNumber: 16; Error at line 23 char 16: No query executer factory registered for the "CAPMQuery" language.

Answer:
cabi 6.4.2 does not work with pm 3.5. It requires PM 3.6+.